declare const CFormCheck: import("vue").DefineComponent<{
    /**
     * Create button-like checkboxes and radio buttons.
     *
     * @see http://coreui.io/vue/docs/components/button.html
     */
    button: {
        type: ObjectConstructor;
    };
    /**
     * Provide valuable, actionable feedback.
     *
     * @since 4.3.0
     */
    feedback: {
        type: StringConstructor;
    };
    /**
     * Provide valuable, actionable feedback.
     *
     * @since 4.3.0
     */
    feedbackInvalid: {
        type: StringConstructor;
    };
    /**
     * Provide valuable, actionable invalid feedback when using standard HTML form validation which applied two CSS pseudo-classes, `:invalid` and `:valid`.
     *
     * @since 4.3.0
     */
    feedbackValid: {
        type: StringConstructor;
    };
    /**
     * Sets hit area to the full area of the component.
     */
    hitArea: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * The id global attribute defines an identifier (ID) that must be unique in the whole document.
     */
    id: {
        type: StringConstructor;
    };
    /**
     * Input Checkbox indeterminate Property
     */
    indeterminate: BooleanConstructor;
    /**
     * Group checkboxes or radios on the same horizontal row by adding.
     */
    inline: {
        type: BooleanConstructor;
    };
    /**
     * Set component validation state to invalid.
     */
    invalid: BooleanConstructor;
    /**
     * The element represents a caption for a component.
     */
    label: {
        type: StringConstructor;
    };
    /**
     * The default name for a value passed using v-model.
     */
    modelValue: {
        type: (StringConstructor | BooleanConstructor)[];
        value: undefined;
    };
    /**
     * Display validation feedback in a styled tooltip.
     *
     * @since 4.3.0
     */
    tooltipFeedback: BooleanConstructor;
    /**
     * Specifies the type of component.
     *
     * @values 'checkbox', 'radio'
     */
    type: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Set component validation state to valid.
     */
    valid: {
        type: BooleanConstructor;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | ("" | import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}> | undefined)[], unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:modelValue")[], "change" | "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Create button-like checkboxes and radio buttons.
     *
     * @see http://coreui.io/vue/docs/components/button.html
     */
    button: {
        type: ObjectConstructor;
    };
    /**
     * Provide valuable, actionable feedback.
     *
     * @since 4.3.0
     */
    feedback: {
        type: StringConstructor;
    };
    /**
     * Provide valuable, actionable feedback.
     *
     * @since 4.3.0
     */
    feedbackInvalid: {
        type: StringConstructor;
    };
    /**
     * Provide valuable, actionable invalid feedback when using standard HTML form validation which applied two CSS pseudo-classes, `:invalid` and `:valid`.
     *
     * @since 4.3.0
     */
    feedbackValid: {
        type: StringConstructor;
    };
    /**
     * Sets hit area to the full area of the component.
     */
    hitArea: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * The id global attribute defines an identifier (ID) that must be unique in the whole document.
     */
    id: {
        type: StringConstructor;
    };
    /**
     * Input Checkbox indeterminate Property
     */
    indeterminate: BooleanConstructor;
    /**
     * Group checkboxes or radios on the same horizontal row by adding.
     */
    inline: {
        type: BooleanConstructor;
    };
    /**
     * Set component validation state to invalid.
     */
    invalid: BooleanConstructor;
    /**
     * The element represents a caption for a component.
     */
    label: {
        type: StringConstructor;
    };
    /**
     * The default name for a value passed using v-model.
     */
    modelValue: {
        type: (StringConstructor | BooleanConstructor)[];
        value: undefined;
    };
    /**
     * Display validation feedback in a styled tooltip.
     *
     * @since 4.3.0
     */
    tooltipFeedback: BooleanConstructor;
    /**
     * Specifies the type of component.
     *
     * @values 'checkbox', 'radio'
     */
    type: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Set component validation state to valid.
     */
    valid: {
        type: BooleanConstructor;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    type: string;
    invalid: boolean;
    valid: boolean;
    tooltipFeedback: boolean;
    indeterminate: boolean;
    inline: boolean;
}>;
export { CFormCheck };
