declare const CFormSwitch: import("vue").DefineComponent<{
    /**
     * The id global attribute defines an identifier (ID) that must be unique in the whole document
     */
    id: {
        type: StringConstructor;
    };
    /**
     * Set component validation state to invalid.
     */
    invalid: {
        type: BooleanConstructor;
    };
    /**
     * The element represents a caption for a component.
     */
    label: {
        type: StringConstructor;
    };
    /**
     * The default name for a value passed using v-model.
     */
    modelValue: {
        type: (StringConstructor | BooleanConstructor)[];
        value: undefined;
    };
    /**
     * Size the component large or extra large. Works only with `switch`.
     *
     * @values 'lg' | 'xl'
     */
    size: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * Specifies the type of component.
     *
     * @values 'checkbox', 'radio'
     */
    type: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Set component validation state to valid.
     */
    valid: {
        type: BooleanConstructor;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("change" | "update:modelValue")[], "change" | "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The id global attribute defines an identifier (ID) that must be unique in the whole document
     */
    id: {
        type: StringConstructor;
    };
    /**
     * Set component validation state to invalid.
     */
    invalid: {
        type: BooleanConstructor;
    };
    /**
     * The element represents a caption for a component.
     */
    label: {
        type: StringConstructor;
    };
    /**
     * The default name for a value passed using v-model.
     */
    modelValue: {
        type: (StringConstructor | BooleanConstructor)[];
        value: undefined;
    };
    /**
     * Size the component large or extra large. Works only with `switch`.
     *
     * @values 'lg' | 'xl'
     */
    size: {
        type: StringConstructor;
        validator: (value: string) => boolean;
    };
    /**
     * Specifies the type of component.
     *
     * @values 'checkbox', 'radio'
     */
    type: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Set component validation state to valid.
     */
    valid: {
        type: BooleanConstructor;
    };
}>> & {
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    type: string;
    invalid: boolean;
    valid: boolean;
}>;
export { CFormSwitch };
