import { RendererElement } from 'vue';
declare const CToast: import("vue").DefineComponent<{
    /**
     * Auto hide the toast.
     */
    autohide: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     *
     * @values 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light', string
     */
    color: {
        type: StringConstructor;
        /**
         * Delay hiding the toast (ms).
         */
        validator: (value: string) => boolean;
    };
    /**
     * Delay hiding the toast (ms).
     */
    delay: {
        type: NumberConstructor;
        default: number;
        required: false;
    };
    /**
     * Optionally add a close button to component and allow it to self dismiss.
     */
    dismissible: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * index of the component.
     */
    index: {
        type: NumberConstructor;
        default: undefined;
        required: false;
    };
    /**
     * Title node for your component.
     */
    title: {
        type: StringConstructor;
        default: undefined;
        required: false;
    };
    /**
     * Toggle the visibility of component.
     */
    visible: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}, () => import("vue").VNode<import("vue").RendererNode, RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("close" | "show")[], "close" | "show", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Auto hide the toast.
     */
    autohide: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * Sets the color context of the component to one of CoreUI’s themed colors.
     *
     * @values 'primary', 'secondary', 'success', 'danger', 'warning', 'info', 'dark', 'light', string
     */
    color: {
        type: StringConstructor;
        /**
         * Delay hiding the toast (ms).
         */
        validator: (value: string) => boolean;
    };
    /**
     * Delay hiding the toast (ms).
     */
    delay: {
        type: NumberConstructor;
        default: number;
        required: false;
    };
    /**
     * Optionally add a close button to component and allow it to self dismiss.
     */
    dismissible: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
    /**
     * index of the component.
     */
    index: {
        type: NumberConstructor;
        default: undefined;
        required: false;
    };
    /**
     * Title node for your component.
     */
    title: {
        type: StringConstructor;
        default: undefined;
        required: false;
    };
    /**
     * Toggle the visibility of component.
     */
    visible: {
        type: BooleanConstructor;
        default: boolean;
        required: false;
    };
}>> & {
    onShow?: ((...args: any[]) => any) | undefined;
    onClose?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
    dismissible: boolean;
    index: number;
    title: string;
    autohide: boolean;
    delay: number;
}>;
export { CToast };
